### Signal

# Ide Debugger::stopped

#### Declaration

    void
    stopped (
      IdeDebugger* self,
      IdeDebuggerStopReason stop_reason,
      IdeDebuggerBreakpoint* breakpoint,
      gpointer user_data
    )

#### Description

This signal is emitted when the debugger has stopped executing the inferior for a variety of reasons.

If possible, the debugger implementation will provide the breakpoint of the location the debugger stopped. That location may not always be representable by source in the project (such as memory address based breakpoints).

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`stop_reason` | `IdeDebuggerStopReason`
| An `IdeDebuggerStopReason`.
`breakpoint` | `IdeDebuggerBreakpoint`
| An `IdeDebuggerBreakpoint` if any.
| The argument can be `NULL`.
| The data is owned by the caller of the function.